=== debian/changelog ===
libbloom (1.6-6) unstable; urgency=medium

  * debian/patches:
    - Update patch 02 no to fail if there's no valgrind installed.

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Sep 2021 20:08:52 +0900

libbloom (1.6-5) unstable; urgency=medium

  * debian/control & debian/tests/control:
    - Add restrict of B-D for valgrind (Closes: #993614).
      Thanks to Adrian Bunk for raising this issue.
  * debian/patches:
    - Update patch 01 to output that the test is by shared library,
      not static one.
    - Update patch 02 to check valgrind command availability before
      invoking.

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Sep 2021 17:04:53 +0900

libbloom (1.6-4) unstable; urgency=medium

  * debian/patches:
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.
    - Add patch 02 to add verbose log of valgrind output.
  * debian/tests/upstream-test-suite:
    - Apply the patch above.
    - Use "make release_test" instead of "make test" to run the test.
  * debian/tests/control:
    - Install build-essential and library for the test.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.
  * debian/control & debian/tests/control:
    - In order to perform more tests, add to B-D: ploticus, valgrind
  * debian/rules:
    - Use "make release_test" for dh_auto_test.

 -- Roger Shimizu <rosh@debian.org>  Sat, 04 Sep 2021 00:26:06 +0900

libbloom (1.6-3) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Bump policy version to 4.5.0 (no change).
  * Add debian/upstream/metadata
  * debian/rules:
    - Clean up security hardening.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 May 2020 01:27:36 +0900

libbloom (1.6-2) unstable; urgency=medium

  * Team upload.
  * debian/libbloom1.symbols: Add new symbol.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2019 13:58:15 -0400

libbloom (1.6-1) unstable; urgency=medium

  * New upstream release: 1.6
    - Added a simple bloom_reset() function.
    - Performance boost on membership test if element not present.
    - Test cleanup and coverage.
  * debian/control:
    - Use tracker mail as maintainer address.
  * debian/patches:
    - Refresh patch: 0001

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 17 Aug 2019 19:24:43 +0900

libbloom (1.5-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923264)
    + Let dh_auto_build pass cross tools to make.
    + Honour DEB_BUILD_OPTIONS=nocheck.
    + Fix host/target confusion.
    + Let dpkg's architecture.mk initialize DEB_HOST_MULTIARCH.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 21 Mar 2019 14:14:36 +0900

libbloom (1.5-4) unstable; urgency=medium

  * debian/control:
    - Migrate Vcs-* from alioth to salsa.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 10 Jun 2018 18:17:46 +0900

libbloom (1.5-3) unstable; urgency=medium

  * debian/debian/libbloom1.symbols:
    - Add symbols file for libbloom1.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 23:13:38 +0900

libbloom (1.5-2) unstable; urgency=medium

  * debian/watch:
    - Update to match with the filename in pristine-tar.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/control:
    - Bump up Standards-Version to 4.1.1 (with autopkgtest above).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 23:58:51 +0900

libbloom (1.5-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Jul 2017 23:12:25 +0900

libbloom (1.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 22:38:16 +0900
