=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: libbloom
 Section: libs
 Priority: optional
-Maintainer: Roger Shimizu <rogershimizu@gmail.com>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
+Uploaders: Roger Shimizu <rosh@debian.org>
+Build-Depends:
+ debhelper-compat (= 12),
+ ploticus,
+ valgrind [amd64 arm64 armhf i386 mipsel mips64el powerpc ppc64 ppc64el s390x]
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jvirkki/libbloom
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libbloom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libbloom.git
+Vcs-Git: https://salsa.debian.org/bridges-team/libbloom.git
+Vcs-Browser: https://salsa.debian.org/bridges-team/libbloom
 
 Package: libbloom-dev
 Section: libdevel
