=== debian/tests/control ===
Tests: upstream-test-suite
Depends:
 build-essential,
 libbloom-dev,
 ploticus,
 valgrind [amd64 arm64 armhf i386 mipsel mips64el powerpc ppc64 ppc64el s390x]
Restrictions: allow-stderr
