=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libbloom_$1.orig.tar.gz%" \
   https://github.com/jvirkki/libbloom/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
