=== debian/changelog ===
libbloom (2.0-0.2build1) plucky; urgency=medium

  * Rebuild against new gcc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2025 19:33:19 +0100

libbloom (2.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: add patch to fix build & tests on 32-bit platforms
  * d/control: remove arch-is-64-bit from B-D

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 27 Oct 2024 00:44:43 +0800

libbloom (2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 25 Oct 2024 15:15:30 +0800

libbloom (2.0-0.1~exp1) experimental; urgency=medium

  * New upstream version 2.0.
  * d/patches: refresh
  * d/patches: add Forwarded headers
  * d/control: update compact level to 13, std-ver to 4.7.0
    (no changes required)
  * Bump SOVERSION to libbloom2 due to API removal
  * Disable building on 32-bit arches due to upstream limit
  * d/patches: add CPPFLAGS into CFLAGS to fix blhc issues

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 09 Oct 2024 00:48:08 +0800

libbloom (1.6-7) unstable; urgency=medium

  * Team upload.
  * debian/clean: Manually clean some generated files to fix package
    build twice in a row. (Closes: #1048826, #1049748)

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Aug 2023 16:32:07 -0400
