=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Add multiarch triplet include directory
include /usr/share/dpkg/architecture.mk
CFLAGS+=-I/usr/include/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- BITS=default

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make BITS=default release_test
endif

override_dh_auto_install:
	mkdir -p usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a build/libbloom.so* usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_auto_install

%:
	dh $@
